classification
Title: Upgrade Windows tcl/tk to 8.6.11
Type: enhancement Stage: resolved
Components: Tkinter, Windows Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, serhiy.storchaka, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2021-03-29 07:07 by terry.reedy, last changed 2021-04-23 22:45 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25170 merged terry.reedy, 2021-04-03 22:58
Messages (7)
msg389662 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-03-29 07:07
#39017, PR 22405 was too late for 3.9, but the new Mac installer is already using 8.6.11.  Serhiy, do you know any reason not to upgrade the Windows installer to 8.6.11 also?

Steve, should a new PR with '10' replaced with '11, where '9' was replaced with '10' before, be sufficient?  I presumt the 'v14' for VC13 should be left alone.  To test, would 8.6.11 be built on my system, or is it fetched externally?
msg389774 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-03-29 23:45
I also need to pull the Tcl and Tk sources into our cpython-source-deps repository, run a signed build, and put the binaries into the cpython-bin-deps repository. I'll get that started tonight, but probably won't finish it until tomorrow.
msg389776 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-03-30 00:08
Turns out I did get it done, so you should be able to update the references you find in the PCbuild directory and get a build.
msg390147 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-04-03 22:48
Did you use revision 0, and in 8.6.11.0, or a later one?

As I mentioned in #43719, I cannot currently build master, but I will upload a PR (with .0) for CI to test.
msg390148 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-04-03 23:04
The upgrade to 8.6.10 broke a Scale test.  The fix for that in #41306
  conv = False if get_tk_patchlevel() >= (8, 6, 10) else float_round
should still work unless there was a further Scale change.
msg391741 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-23 21:41
Thanks for finishing up that patch.

And yes, we add a ".0" in case we need to patch the sources ourselves.
msg391749 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-04-23 22:45
Previous issue, which I mistyped, was #39107. Release notes at
https://sourceforge.net/projects/tcl/files/Tcl/8.6.11/tcltk-release-notes-8.6.11.txt/view
History
Date User Action Args
2021-04-23 22:45:27terry.reedysetmessages: + msg391749
2021-04-23 21:41:34steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg391741

stage: needs patch -> resolved
2021-04-03 23:04:53terry.reedysetmessages: + msg390148
stage: patch review -> needs patch
2021-04-03 22:58:51terry.reedysetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request23911
2021-04-03 22:48:43terry.reedysetmessages: + msg390147
2021-03-30 00:08:11steve.dowersetmessages: + msg389776
2021-03-29 23:45:00steve.dowersetmessages: + msg389774
2021-03-29 07:07:11terry.reedycreate